#ifndef _INCLUDE_PRAGMA_MMU_LIB_H
#define _INCLUDE_PRAGMA_MMU_LIB_H

#ifndef CLIB_MMU_PROTOS_H
#include <clib/mmu_protos.h>
#endif

#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(MMUBase,0x01E,AllocAligned(d0,d1,a0))
#pragma amicall(MMUBase,0x024,GetMapping(a0))
#pragma amicall(MMUBase,0x02A,ReleaseMapping(a0))
#pragma amicall(MMUBase,0x030,GetPageSize(a0))
#pragma amicall(MMUBase,0x036,GetMMUType())
#pragma amicall(MMUBase,0x03C,GetMMUConfig())
#pragma amicall(MMUBase,0x042,ReleaseMMUConfig(a1))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma  libcall MMUBase AllocAligned         01E 81003
#pragma  libcall MMUBase GetMapping           024 801
#pragma  libcall MMUBase ReleaseMapping       02A 801
#pragma  libcall MMUBase GetPageSize          030 801
#pragma  libcall MMUBase GetMMUType           036 00
#pragma  libcall MMUBase GetMMUConfig         03C 00
#pragma  libcall MMUBase ReleaseMMUConfig     042 901
#endif

#endif	/*  _INCLUDE_PRAGMA_MMU_LIB_H  */
